libiconv

From AIXTOOLS
Jump to: navigation, search

Packages|GNU|aixtools.gnu.libiconv.1.15.0.1.I
Report Issues (via Forums) and/or TWEET:@rootvgnet
MD5 Checksums

4535B2A7DA42D2D6E641C044DD95EAE3 aixtools.gnu.libiconv.1.15.0.1.I
53498798C31BEF5F700669E254A159FB aixtools.gnu.libiconv.1.15.0.0.I
176CA869E3B9BA07B31BAA10A7D0EEAD aixtools.gnu.libiconv.1.14.0.5.I
720686C6B209776FD4B3E17A92E22E0B aixtools.gnu.libiconv.1.14.0.4.I

Contents

Package Details

Version: 1.15
Release Date: 02 February 2017
Sources from: https://www.gnu.org/software/libiconv/
Depends on: nothing, but nearly every GNU package will depend on it!

Updates

--Michael Felt (talk) 14:10, 25 August 2017 (UTC) Fixed a potential issue where you could end up with the wrong copies of AIX versions of libiconv.a members shr.o, shr4.o and shr_64.o

--Michael Felt (talk) 15:49, 11 February 2017 (UTC) A new version - after many years at version 1.14. Enjoy!

--Michael Felt (talk) 22:07, 22 December 2016 (UTC) Repackaged, no longer setting a symbolic link from /usr/lib/libiconv.a to /opt/lib/libiconv.a. Instead, a copy is made. On uninstall a compare of both are made. If different, a diagnostic message is printed and /usr/lib/libiconv.a is not modified.

--Michael Felt (talk) 21:34, 22 December 2016 (UTC) based on some feedback (see http://forums.rootvg.net/aixtools/iconv-and-simlink/msg2640/#msg2640) I will repackage and change the scripts run to merge and unmerge the file /usr/lib/iconv.a

The merge is needed because new GNU applications expect (actually demand) the current GNU logic (as libiconv.a(libiconv.so.2) while most IBM applications (through AIX 7.1 TL3) expect libiconv.a(shr.o) or libiconv.a(shr4.o) or libiconv.a(shr4_64.o)

$ ar -X32_64 tv /usr/lib/libiconv.a
rwxr-xr-x     0/0     1032868 Aug 21 16:19 2016 libiconv.so.2
r--r--r--     0/0     159410 Aug 21 20:09 2016 shr4_64.o
rwxr-xr-x     0/0     1010856 Aug 21 16:21 2016 libiconv.so.2
r--r--r--     0/0     117276 Aug 21 20:09 2016 shr4.o
r--r--r--     0/0     117526 Aug 21 20:09 2016 shr.o

--Michael Felt (talk) 17:09, 22 August 2016 (UTC) The packaging I am happy with!

Note: this package is central to nearly all GNU packages as it is a prequisite for gnu.gettext - that is a prequisite for most GNU packages.

previous releases

Note: the links for the previous packaging have been removed to prevent confusion! The differences are not in the files, but the installation scripts found in liblpp.a

--Michael Felt (talk) 16:02, 10 May 2016 (UTC) version 1.14.0.3 has improved --even more-- the install scripts that merge old and new archives - for continuing operation of old applications!

Starting with the new packaging (1.14.0.1) includes both 32 and 64 bit libraries in the AIX fashion.

As part of the packaging - to continue supporting AIX applications dependent on the AIX iconv member names - the AIX members are added top the gnu archive, and then a symbolic link is placed in /usr/lib to point to the new library in /opt/lib. The original library is left as /usr/lib/libiconv.a.AIX

Note: if you uninstall (installp -u) everything is put back where it was!

installp excerpt

installp:  APPLYING software for:
        aixtools.gnu.libiconv.rte 1.14.0.1

+----------------------GNU LIBICONV CONFIG------------------------------------+
+-- copying members from /usr/lib/libiconv.a to /opt/lib/libiconv.a
x - shr.o
x - shr4.o
x - shr4_64.o
r - shr4.o
r - shr.o
r - shr4_64.o
ar: Sequentially ordering and compressing /opt/lib/libiconv.a.
o - libiconv.so.2
o - shr4.o
o - shr.o
o - libiconv.so.2
o - shr4_64.o
+-- /usr/lib/libiconv.a points at /opt/lib/libiconv.a
Finished processing all filesets.  (Total time:  0 secs).

+-----------------------------------------------------------------------------+
                                Summaries:
+-----------------------------------------------------------------------------+

Installation Summary
--------------------
Name                        Level           Part        Event       Result
-------------------------------------------------------------------------------
aixtools.gnu.libiconv.rte   1.14.0.1        USR         APPLY       SUCCESS    

Personal tools
Namespaces

Variants
Actions
Navigation
Downloads
Toolbox